ZLASET(3f)

NAME
ZLASET - a 2-D array A to BETA on the diagonal and ALPHA on the offdiagonals

SYNOPSIS

SUBROUTINE ZLASET(
    UPLO, M, N, ALPHA, BETA, A, LDA )

CHARACTER
    UPLO

INTEGER
    LDA, M, N

COMPLEX*16
    ALPHA, BETA

COMPLEX*16
    A( LDA, * )

PURPOSE
ZLASET initializes a 2-D array A to BETA on the diagonal and ALPHA on the offdiagonals.

ARGUMENTS

UPLO    (input) CHARACTER*1
    Specifies the part of the matrix A to be set. = 'U': Upper triangular part is set. The lower triangle is unchanged. = 'L': Lower triangular part is set. The upper triangle is unchanged. Otherwise: All of the matrix A is set.

M       (input) INTEGER
    On entry, M specifies the number of rows of A.

N       (input) INTEGER
    On entry, N specifies the number of columns of A.

ALPHA   (input) COMPLEX*16
    All the offdiagonal array elements are set to ALPHA.

BETA    (input) COMPLEX*16
    All the diagonal array elements are set to BETA.

A       (input/output) COMPLEX*16 array, dimension (LDA,N)
    On entry, the m by n matrix A. On exit, A(i,j) = ALPHA, 1 <= i <= m, 1 <= j <= n, i.ne.j; A(i,i) = BETA , 1 <= i <= min(m,n)

LDA     (input) INTEGER
    The leading dimension of the array A. LDA >= max(1,M).